## WebKitVersion WebKitVersion |

## Functions

guint | webkit_get_major_version ()
guint | webkit_get_minor_version ()
guint | webkit_get_micro_version ()
#define | WEBKIT_MAJOR_VERSION
#define | WEBKIT_MINOR_VERSION
#define | WEBKIT_MICRO_VERSION
#define | WEBKIT_CHECK_VERSION()

## Description

## Functions

### webkit_get_major_version ()

    guint
    webkit_get_major_version (void);

#### Returns

### webkit_get_minor_version ()

    guint
    webkit_get_minor_version (void);

#### Returns

### webkit_get_micro_version ()

    guint
    webkit_get_micro_version (void);

#### Returns

### WEBKIT_MAJOR_VERSION

    #define WEBKIT_MAJOR_VERSION (2)

Like `webkit_get_major_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

### WEBKIT_MINOR_VERSION

    #define WEBKIT_MINOR_VERSION (4)

Like `webkit_get_minor_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

### WEBKIT_MICRO_VERSION

    #define WEBKIT_MICRO_VERSION (9)

Like `webkit_get_micro_version()`, but from the headers used at application compile time, rather than from the library linked against at application run time.

### WEBKIT_CHECK_VERSION()

    #define             WEBKIT_CHECK_VERSION(major, minor, micro)

#### Parameters

major | major version (e.g. 1 for version 1.2.5) |
minor | minor version (e.g. 2 for version 1.2.5) |
micro | micro version (e.g. 5 for version 1.2.5) |

#### Returns

`TRUE` if the version of the WebKit header files is the same as or newer than the passed-in version.

## Types and Values